Bug 446980 - no network connection after update to kernel > 2.6.24
no network connection after update to kernel > 2.6.24
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i686 Linux
low Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 15:59 EDT by faust
Modified: 2009-11-18 05:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:31:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Correct connection to eth0 at boot. (9.12 KB, text/plain)
2008-09-01 09:23 EDT, Erik P. Olsen
no flags Details
Missing connection to eth0 at boot. (10.09 KB, application/x-gzip)
2008-09-01 09:24 EDT, Erik P. Olsen
no flags Details
Correct connection to eth0 at boot. (9.12 KB, application/x-gzip)
2008-09-01 11:14 EDT, Erik P. Olsen
no flags Details

  None (edit)
Description faust 2008-05-16 15:59:51 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.9b5) Gecko/2008032619 Firefox/3.0b5

Description of problem:
After updating the kernel from 2.6.23.15-137.fc8 to any kernel 2.6.24, ethO (wired) will not start at boot time. 
Starting it manualy will also not work. This happens with every 2.6.24 kernel.

When i boot with kernel 2.6.23.15-137.fc8 the network works.

I installed also fedora 9 (kernel 2.6.25-14.fc9) and i have here the same problem.



Version-Release number of selected component (if applicable):
kernel-2.6.24.4-64

How reproducible:
Always


Steps to Reproduce:
1.login as root
2../network start
3.

Actual Results:
# ./network start
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:
Determining IP information for eth0...PING 192.168.1.254 (192.168.1.254) 
from 192.168.1.34 eth0: 56(84) bytes of data.

--- 192.168.1.254 ping statistics ---
4 packets transmitted, 0 received, +3 errors, 100% packet loss, time 2999ms
, pipe 3
 failed.
                                                           [FAILED]
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists
RTNETLINK answers: File exists

Expected Results:
That the network will start and that i have network connection.

Additional info:
output of lspci;

02:06.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. 
RTL-8169 Gigabit Ethernet [10ec:8169] (rev 10)
        Subsystem: Micro-Star International Co., Ltd. Unknown device 
[1462:728c]
        Flags: bus master, 66MHz, medium devsel, latency 64, IRQ 20
        I/O ports at cc00 [size=256]
        Memory at f7effb00 (32-bit, non-prefetchable) [size=256]
        Expansion ROM at 50000000 [disabled] [size=128K]
        Capabilities: [dc] Power Management version 2
        Kernel driver in use: r8169
        Kernel modules: r8169


Contens of file /etc/sysconfig/network-scripts/ifcfg-eth0;
DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:11:09:d7:72:d8
ONBOOT=yes
DHCP_HOSTNAME=saturnus
TYPE=Ethernet
USERCTL=no
PEERDNS=yes
IPV6INIT=no
NM_CONTROLLED=no


output of ifconfig -a;

ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:11:09:D7:72:D8
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:17 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:21 Base address:0xb00

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:81 errors:0 dropped:0 overruns:0 frame:0
          TX packets:81 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:21639 (21.1 KiB)  TX bytes:21639 (21.1 KiB)

output of netstat -rn;

Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface



output of netstat -ni

Kernel Interface table
Iface       MTU Met    RX-OK RX-ERR RX-DRP RX-OVR    TX-OK TX-ERR TX-DRP 
TX-OVR Flg
lo        16436   0       81      0      0      0       81      0      
0      0 LRU


router is a Zyxel prestige 2000 series
Comment 1 faust 2008-05-25 15:36:06 EDT
Working kernel (2.6.23.15-137.fc8) 

(./network restart)
Output tail -f /var/log/messages  ;
------------------------
May 25 21:10:55 casanova NET[4113]: /sbin/dhclient-script : updated /etc/resolv.conf
May 25 21:10:55 casanova avahi-daemon[2867]: Withdrawing address record for
192.168.1.34 on eth0.
May 25 21:10:55 casanova avahi-daemon[2867]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 192.168.1.34.
May 25 21:10:55 casanova avahi-daemon[2867]: Interface eth0.IPv4 no longer
relevant for mDNS.
May 25 21:10:55 casanova avahi-daemon[2867]: Withdrawing address record for
fe80::211:9ff:fed7:72d8 on eth0.
May 25 21:10:55 casanova kernel: IPv6 over IPv4 tunneling driver
May 25 21:10:55 casanova kernel: sit0: Disabled Privacy Extensions
May 25 21:10:55 casanova kernel: r8169: eth0: link up
May 25 21:10:56 casanova dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 25 21:10:56 casanova dhclient: DHCPACK from 192.168.1.254
May 25 21:10:56 casanova avahi-daemon[2867]: Joining mDNS multicast group on
interface eth0.IPv4 with address 192.168.1.34.
May 25 21:10:56 casanova avahi-daemon[2867]: New relevant interface eth0.IPv4
for mDNS.
May 25 21:10:56 casanova avahi-daemon[2867]: Registering new address record for
192.168.1.34 on eth0.IPv4.
May 25 21:10:56 casanova NET[4502]: /sbin/dhclient-script : updated /etc/resolv.conf
May 25 21:10:56 casanova dhclient: bound to 192.168.1.34 -- renewal in 10956
seconds.
May 25 21:10:57 casanova avahi-daemon[2867]: Registering new address record for
fe80::211:9ff:fed7:72d8 on eth0.*.
May 25 21:11:25 casanova ntpd[2468]: synchronized to 192.87.36.4, stratum 1
May 25 21:11:27 casanova ntpd[2468]: time reset +1.500066 s
May 25 21:11:27 casanova ntpd[2468]: kernel time sync status change 0001

Output dmesg ;
---------------
saa7134[0]/irq[10,-194593]: r=0x20 s=0x00 PE
saa7134[0]/irq: looping -- clearing PE (parity error!) enable bit
IPv6 over IPv4 tunneling driver
sit0: Disabled Privacy Extensions
r8169: eth0: link up
eth0: no IPv6 routers present
r8169: eth0: link up
--------------------------------------------------------------

Not working kernel (2.6.24.4-64) 

(./May 25 21:03:04 casanova kernel: r8169: eth0: link up
May 25 21:03:05 casanova dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 25 21:03:05 casanova avahi-daemon[2810]: Registering new address record for
fe80::211:9ff:fed7:72d8 on eth0.*.
May 25 21:03:08 casanova dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 25 21:03:14 casanova dhclient: DHCPREQUEST on eth0 to 255.255.255.255 port 67
May 25 21:03:27 casanova dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 5
May 25 21:03:32 casanova dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 14
May 25 21:03:46 casanova dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 20
May 25 21:04:06 casanova dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 14
May 25 21:04:16 casanova ntpd[2410]: Listening on interface #4 eth0,
fe80::211:9ff:fed7:72d8#123 Enabled
May 25 21:04:20 casanova dhclient: DHCPDISCOVER on eth0 to 255.255.255.255 port
67 interval 8
May 25 21:04:28 casanova dhclient: No DHCPOFFERS received.
May 25 21:04:28 casanova dhclient: Trying recorded lease 192.168.1.34
May 25 21:04:28 casanova avahi-daemon[2810]: Joining mDNS multicast group on
interface eth0.IPv4 with address 192.168.1.34.
May 25 21:04:28 casanova avahi-daemon[2810]: New relevant interface eth0.IPv4
for mDNS.
May 25 21:04:28 casanova avahi-daemon[2810]: Registering new address record for
192.168.1.34 on eth0.IPv4.
May 25 21:04:31 casanova avahi-daemon[2810]: Withdrawing address record for
192.168.1.34 on eth0.
May 25 21:04:31 casanova avahi-daemon[2810]: Leaving mDNS multicast group on
interface eth0.IPv4 with address 192.168.1.34.
May 25 21:04:31 casanova avahi-daemon[2810]: Interface eth0.IPv4 no longer
relevant for mDNS.
May 25 21:04:31 casanova avahi-daemon[2810]: Withdrawing address record for
fe80::211:9ff:fed7:72d8 on eth0.
network restart)
output tail -f /var/log/messages  ;
---------------------------------

Output dmesg ;
-------------
Bridge firewalling registered
pan0: Dropping NETIF_F_UFO since no NETIF_F_HW_CSUM feature.
r8169: eth0: link up
r8169: eth0: link up
ALSA sound/usb/usbaudio.c:1353: setting usb interface 2:1
eth0: no IPv6 routers present
ALSA sound/usb/usbaudio.c:1353: setting usb interface 2:1
IPv6 over IPv4 tunneling driver
sit0: Disabled Privacy Extensions
r8169: eth0: link up
eth0: no IPv6 routers present
r8169: eth0: link up
eth0: no IPv6 routers present

--------------------------------------------------------------
When i do  ./network restart  instead of ./network start there is no  message
RTNETLINK answers: File exists .


Comment 2 faust 2008-05-25 15:57:52 EDT
When i put in a static IP adress i have network connection.
Comment 3 Erik P. Olsen 2008-09-01 09:23:22 EDT
Created attachment 315473 [details]
Correct connection to eth0 at boot.
Comment 4 Erik P. Olsen 2008-09-01 09:24:15 EDT
Created attachment 315474 [details]
Missing connection to eth0 at boot.
Comment 5 Erik P. Olsen 2008-09-01 09:27:55 EDT
I have exactly the same problem with Linksys router WRT54GL and fedora 8.

Kernel 2.6.23.1-42 is good and kernel 2.6.25.14-69 is bad. I have uploaded the messages which come from the boot process in both the good and bad situation.
Comment 6 Erik P. Olsen 2008-09-01 11:14:04 EDT
Created attachment 315484 [details]
Correct connection to eth0 at boot.

Re-attached file because it had gotten wrong mime type.
Comment 7 Josep 2008-09-06 05:02:18 EDT
Probably a duplicate of #394221
Comment 8 Chuck Ebbert 2008-09-13 12:03:35 EDT
Please try 2.6.26.3-14

There were some problems with r8169 in 2.6.25...
Comment 9 Erik P. Olsen 2008-09-13 16:36:45 EDT
Tried 2.6.26.3-14 this morning. Same problem - no connection.
Comment 10 Josep 2008-09-14 04:07:02 EDT
(In reply to comment #8)
> Please try 2.6.26.3-14
> 
> There were some problems with r8169 in 2.6.25...

Chuck, I tried with F9, which had 2.6.26 and didn't work either. Now I have
rawhide installed with kernel 2.6.27, and the problem persists.

Notice I could always (from F8 to rawhide) solve the problem by doing:
$ rmmod r8169; modprobe r8169
Comment 11 Erik P. Olsen 2008-09-14 10:24:35 EDT
Very interesting! I can confirm that:

rmmod 8169; modprobe r8169

solves the problem.
Comment 12 Bug Zapper 2008-11-26 05:43:23 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Joseph D. Wagner 2008-12-23 21:42:55 EST
Possible duplicate of  Bug 438046, which is still ongoing.
Comment 14 Bug Zapper 2009-01-09 01:31:12 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.